Subject: Re: bug#37293: image-size is meaningless when generating ext4 images

From: Jesse Gibbons <[email-masked]>
Date: Mon, 02 Sep 2019 21:04:58 -0600

On Mon, 2019-09-02 at 20:48 -0600, Jesse Gibbons wrote:
> The manual says in multiple places the --image-size option should set
> the size of a generated ext4 disk image.
> 
> I start with a minimalist configuration (attached: minimal.scm) and
> run
> build-minimal-os.sh (attached). I start virt-manager and make a new
> virtual machine with the generated img as the disk image. virt-
> manager
> says the disk image is 20G. So far so good...
> 
> I run "guix pull" and it fails because it runs out of disk space.
> 
> I run df -h and see the partition mounted on / has only 494M.
> available.
> 
> I run cfdisk /dev/sda and see the first partition is 20G.
> 
> I have added quite a bit to the minimal os, but have not changed the
> behavior. The attached minimal.scm is my most recent version.
> 
> Does anyone know of a way to expand the main partition's size?
> 
> Thanks,
> 
If I take build-minimal-os.sh and have it build a qcow2 vm-image
instead of an ext4 disk-image it says I found a bug. I think it might
be related, but it doesn't give me any details.